Bug 444928 - Update F8 -> rawhide broke kde
Update F8 -> rawhide broke kde
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-01 21:02 EDT by Neal Becker
Modified: 2008-07-02 20:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.0.3-20.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-02 20:02:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
log (77.89 KB, text/plain)
2008-05-02 05:58 EDT, Neal Becker
no flags Details
log (41.46 KB, text/plain)
2008-05-02 05:59 EDT, Neal Becker
no flags Details

  None (edit)
Description Neal Becker 2008-05-01 21:02:18 EDT
Description of problem:

After update F8->rawhide (today), I was left with major parts of kde missing.  
The system was loaded with packages before update.  This is really going to 
piss people off if it's not fixed before release.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jeremy Katz 2008-05-01 21:14:05 EDT
Can you grab /root/upgrade.log and /var/log/anaconda.log
Comment 2 Neal Becker 2008-05-02 05:58:51 EDT
Created attachment 304368 [details]
Comment 3 Neal Becker 2008-05-02 05:59:12 EDT
Created attachment 304369 [details]
Comment 4 Rex Dieter 2008-05-02 07:53:24 EDT
> I was left with major parts of kde missing.

We're already aware of kdebase going missing, anything else?
Comment 5 Neal Becker 2008-05-02 08:04:47 EDT
I can't say.  I noticed no konq, no kde session option in greeter.  Now it's 
Comment 6 Rex Dieter 2008-05-02 08:31:24 EDT
OK, not sure about kde session, since that's provided by kdebase-workspace, and
it was included in your anaconda log:
Upgrading kdebase-workspace-4.0.3-18.fc9.x86_64

> Now it's fixed.

What did you do?
Comment 7 Rex Dieter 2008-05-02 08:32:33 EDT
fwiw, I'll reassign this over to kdebase-workspace, as that is what caused (at
least) kdebase to go missing.
Comment 8 Neal Becker 2008-05-02 08:47:34 EDT
I fixed it with groupinstall kde-desktop.

It may be that session chooser was there all along - it is there now, but it 
hides on the bottom of the screen.  I never noticed it there.  Bad design.
Comment 9 Rex Dieter 2008-05-02 10:36:06 EDT
Fixed kdebase-workspace-4.0.3-20.fc9 build:

* Fri May 02 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-20
- Requires: kdebase , so it doesn't go missing on upgrades from kde3 (#444928)
Comment 10 Rex Dieter 2008-05-02 10:39:50 EDT
sent request to rel-eng for f9-final tagging.
Comment 11 Bug Zapper 2008-05-14 06:30:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.